SSTableDeletingTask (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable

## Class SSTableDeletingTask

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableDeletingTask

- All Implemented Interfaces:
    java.lang.Runnable

      public class SSTableDeletingTask
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableDeletingTask(Descriptor realDescriptor, java.util.Set<Component> components, com.codahale.metrics.Counter totalDiskSpaceUsed, long bytesOnDisk)` realDescriptor is the actual descriptor for the sstable, the descriptor inside referent can be 'faked' as FINAL for early opened files.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `pauseDeletions(boolean stop)`
    `static void` | `rescheduleFailedTasks()` Retry all deletions that failed the first time around (presumably b/c the sstable was still mmap'd.) Useful because there are times when we know GC has been invoked; also exposed as an mbean.
    `void` | `run()`
    `static void` | `waitForDeletions()` for tests

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableDeletingTask

          public SSTableDeletingTask(Descriptor realDescriptor,
                                     java.util.Set<Component> components,
                                     com.codahale.metrics.Counter totalDiskSpaceUsed,
                                     long bytesOnDisk)

      realDescriptor is the actual descriptor for the sstable, the descriptor inside referent can be 'faked' as FINAL for early opened files. We need the real one to be able to remove the files.

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### rescheduleFailedTasks

          public static void rescheduleFailedTasks()

      Retry all deletions that failed the first time around (presumably b/c the sstable was still mmap'd.) Useful because there are times when we know GC has been invoked; also exposed as an mbean.

    - #### waitForDeletions

          public static void waitForDeletions()

      for tests

    - #### pauseDeletions

          public static void pauseDeletions(boolean stop)

Copyright © 2018 The Apache Software Foundation